/*-------------------------------------------------------------------------
 *
 * pgsql_fdw.h
 *		  foreign-data wrapper for remote PostgreSQL servers.
 *
 * Copyright (c) 2012, PostgreSQL Global Development Group
 *
 * IDENTIFICATION
 *		  contrib/pgsql_fdw/pgsql_fdw.h
 *
 *-------------------------------------------------------------------------
 */

#ifndef PGSQL_FDW_H
#define PGSQL_FDW_H

#include "postgres.h"
#include "nodes/relation.h"

/* in option.c */
int ExtractConnectionOptions(List *defelems,
							 const char **keywords,
							 const char **values);

/* in deparse.c */
char *deparseSql(Oid relid, PlannerInfo *root, RelOptInfo *baserel);

#endif /* PGSQL_FDW_H */
